
From: Pavel Machek <pavel@suse.cz>

This fixes u32 vs. pm_message_t confusion in serials.

Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/serial/8250.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/serial/8250.c~fix-u32-vs-pm_message_t-confusion-in-serials drivers/serial/8250.c
--- 25/drivers/serial/8250.c~fix-u32-vs-pm_message_t-confusion-in-serials	2005-03-09 19:14:35.000000000 -0800
+++ 25-akpm/drivers/serial/8250.c	2005-03-09 19:14:35.000000000 -0800
@@ -2388,7 +2388,7 @@ static int __devexit serial8250_remove(s
 	return 0;
 }
 
-static int serial8250_suspend(struct device *dev, u32 state, u32 level)
+static int serial8250_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	int i;
 
_
